- Classes
- Namespaces
- Interfaces
- Traits
- Index

PHP-FFMpeg API
Class

# FFMpeg\Format\ProgressListener\VideoProgressListener

class VideoProgressListener extends AbstractProgressListener

Parses ffmpeg stderr progress information for video files.

An example:

          frame=  171 fps=0.0 q=10.0 size=      18kB time=00:00:05.72 bitrate=  26.4kbits/s dup=8 drop=0

## Methods

| __construct(FFProbe $ffprobe, string $pathfile, integer $currentPass, integer $totalPass) | from AbstractProgressListener
FFProbe | getFFProbe() | from AbstractProgressListener
string | getPathfile() | from AbstractProgressListener
integer | getCurrentPass() | from AbstractProgressListener
integer | getTotalPass() | from AbstractProgressListener
| handle($type, $data) {@inheritdoc} | from AbstractProgressListener
| forwardedEvents() {@inheritdoc} | from AbstractProgressListener
| getPattern() |

## Details

###
in AbstractProgressListener at line 83
`public __construct(FFProbe $ffprobe, string $pathfile, integer $currentPass, integer $totalPass)`

#### Parameters

FFProbe | $ffprobe |
string | $pathfile |
integer | $currentPass | The cureent pass number
integer | $totalPass | The total number of passes

#### Exceptions

RuntimeException |

###
in AbstractProgressListener at line 94
`public FFProbe getFFProbe()`

#### Return Value

FFProbe |

###
in AbstractProgressListener at line 102
`public string getPathfile()`

#### Return Value

string |

###
in AbstractProgressListener at line 110
`public integer getCurrentPass()`

#### Return Value

integer |

###
in AbstractProgressListener at line 118
`public integer getTotalPass()`

#### Return Value

integer |

###
in AbstractProgressListener at line 126
`public handle($type, $data)`

{@inheritdoc}

#### Parameters

| $type |
| $data |

###
in AbstractProgressListener at line 136
`public forwardedEvents()`

{@inheritdoc}

###
at line 25
`public getPattern()`